Subject: bug#26587: 26.0.50; Gnus signs with false S/MIME key

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 11 Oct 2019 09:29:58 +0200

Torsten Bronger <[email-masked]> writes:

> I don’t know how to edebug, so before learning this, I wrote a
> wrapper for gpgsm, logging the parameters.  When sending the
> message, gpgsm is called once, with the parameters
>
> gpgsm --no-tty --status-fd 1 --yes --output /tmp/epg-outputmEnG08 --detach-sign
>
> In particular, I don’t see "-u"s here.

Ah, right.  Since mml-secure-smime-signers was nil for you, then no -u
is added, and gpgsm will (by itself) default to the first certificate in
its store.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no